aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xapian-bindings/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-23 13:08:32 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-23 13:11:25 +0000
commitaeb65f08d18ca3204763cf099176a2a627fc03dd (patch)
treefe8b755977ab43166ffa187b5b0d761ca4db97cd /testing/xapian-bindings/APKBUILD
parent0712f7387dbb0b4eea7043b5fb5eb71ba30c23c7 (diff)
downloadaports-aeb65f08d18ca3204763cf099176a2a627fc03dd.tar.gz
aports-aeb65f08d18ca3204763cf099176a2a627fc03dd.tar.bz2
aports-aeb65f08d18ca3204763cf099176a2a627fc03dd.tar.xz
testing/xapian-bindings: new aport.Bindings for perl,lua,php.Fixes #1447
Diffstat (limited to 'testing/xapian-bindings/APKBUILD')
-rw-r--r--testing/xapian-bindings/APKBUILD80
1 files changed, 80 insertions, 0 deletions
diff --git a/testing/xapian-bindings/APKBUILD b/testing/xapian-bindings/APKBUILD
new file mode 100644
index 0000000000..c545d8b0fb
--- /dev/null
+++ b/testing/xapian-bindings/APKBUILD
@@ -0,0 +1,80 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=xapian-bindings
+pkgver=1.2.12
+pkgrel=0
+pkgdesc="Binding libraries for xapian"
+url="http://www.xapian.org"
+arch="noarch"
+license="GPL"
+depends=""
+depends_dev="libtool automake autoconf bash \
+ xapian-core-dev perl-dev lua-dev php-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-lua $pkgname-perl $pkgname-php $pkgname-doc"
+source="http://www.oligarchy.co.uk/xapian/$pkgver/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ aclocal && autoconf || return 1
+ libtoolize || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export LUA=/usr/bin/lua
+ export LUA_INC=/usr/include
+ export LUA_LIB=/usr/lib/lua/5.1
+ export PERL=/usr/bin/perl
+ export PERL_LIB=/usr/lib/perl5/site_perl
+ export PERL_ARCH=/usr/lib/perl5/site_perl
+ export PHP=/usr/bin/php
+
+ sh ./configure --prefix=/usr \
+ --with-perl \
+ --with-lua \
+ --with-php \
+ --without-python \
+ --without-ruby \
+ --without-tcl \
+ XAPIAN_CONFIG=/usr/bin/xapian-config
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR=$pkgdir install
+}
+
+php() {
+ arch="all"
+ pkgdesc="PHP bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/share/php5
+ echo ';extension=xapian.so' >xapian.ini
+ install -Dm644 xapian.ini "$subpkgdir/etc/php/conf.d/xapian.ini"
+ mv "$pkgdir"/usr/lib/php "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
+}
+
+perl() {
+ arch="all"
+ pkgdesc="Perl bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib/perl5
+ mv "$pkgdir"/usr/lib/perl5 "$subpkgdir"/usr/lib/
+ #mv "$pkgdir"/usr/share/perl5 "$subpkgdir"/usr/share/
+}
+
+lua() {
+ arch="all"
+ pkgdesc="Lua bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib/lua
+ mv "$pkgdir"/usr/lib/lua "$subpkgdir"/usr/lib/
+}
+md5sums="9331d7885a68470184ba3d3e8c2b57d5 xapian-bindings-1.2.12.tar.gz"